## caio 0.9.17

=== Makefile ===
build: sdist mac_wheel linux_wheel

sdist:
	python3 setup.py sdist

mac_wheel:
	python3.7 setup.py bdist_wheel
	python3.8 setup.py bdist_wheel
	python3.9 setup.py bdist_wheel
	python3.10 setup.py bdist_wheel
	python3.11 setup.py bdist_wheel


linux_wheel:
	docker run -it --rm \
		-v `pwd`:/mnt \
		--entrypoint /bin/bash \
		--workdir /mnt \
		--platform linux/amd64 \
		quay.io/pypa/manylinux2014_x86_64 \
		scripts/make-wheels.sh

	docker run -it --rm \
		-v `pwd`:/mnt \
		--entrypoint /bin/bash \
		--platform linux/arm64 \
		--workdir /mnt \
		quay.io/pypa/manylinux2014_aarch64 \
		scripts/make-wheels.sh

=== debian/changelog ===
caio (0.9.17-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219; Closes: #1080257

 -- Yuri Konotopov <ykonotopov@gnome.org>  Thu, 31 Oct 2024 17:20:37 +0000

=== debian/control ===
Source: caio
Section: python
Priority: optional
Maintainer: Yuri Konotopov <ykonotopov@gnome.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/mosquito/caio
Rules-Requires-Root: no
Vcs-Browser: https://gitlab.com/apt-mirror2/caio-debian-packaging
Vcs-Git: https://gitlab.com/apt-mirror2/caio-debian-packaging.git

Package: python3-caio
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Description: Asynchronous file IO for Linux MacOS or Windows
 This module includes Python bindings for Linux AIO API and
 simple asyncio wrapper.

## caio 0.9.21

=== Makefile ===
build: sdist mac_wheel linux_wheel

sdist:
	python3 setup.py sdist

mac_wheel:
	python3.8 setup.py bdist_wheel
	python3.9 setup.py bdist_wheel
	python3.10 setup.py bdist_wheel
	python3.11 setup.py bdist_wheel
	python3.12 setup.py bdist_wheel
	python3.13 setup.py bdist_wheel


linux_wheel:
	docker run -it --rm \
		-v `pwd`:/mnt \
		--entrypoint /bin/bash \
		--workdir /mnt \
		--platform linux/amd64 \
		quay.io/pypa/manylinux_2_34_x86_64 \
		scripts/make-wheels.sh

	docker run -it --rm \
		-v `pwd`:/mnt \
		--entrypoint /bin/bash \
		--platform linux/arm64 \
		--workdir /mnt \
		quay.io/pypa/manylinux_2_34_aarch64 \
		scripts/make-wheels.sh

=== debian/changelog ===
caio (0.9.21-1) unstable; urgency=medium

  * New upstream version 0.9.21

 -- Yuri Konotopov <ykonotopov@gnome.org>  Sat, 22 Feb 2025 17:14:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Yuri Konotopov <ykonotopov@gnome.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/mosquito/caio
 Rules-Requires-Root: no

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME=caio

%:
	dh $@ --with python3 --buildsystem=pybuild

## caio 0.9.22

=== debian/changelog ===
caio (0.9.22-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:15:11 +0000

caio (0.9.22-1) unstable; urgency=medium

  * New upstream version 0.9.22:
    - Removed applied upstream
      d/patches/0001-Fixed-arguments-parsing-on-big-endian-platforms.patch
    - Added d/patches/32bit.patch that fixes tests and runtime errors on
      32 bit platforms

 -- Yuri Konotopov <ykonotopov@gnome.org>  Sat, 19 Apr 2025 20:03:29 +0000

caio (0.9.21-2) unstable; urgency=medium

  * Added d/patches/0001-Fixed-arguments-parsing-on-big-endian-platforms.patch
    that fixes runtime errors on big endian arches
  * Fixed tests run:
     - Added missing python3-pytest and python3-pytest-asyncio build
       dependencies
     - Added d/patches/tests-aiomisc.patch that make aiomisc dependency
       (which is missing in Debian) unneeded for tests
     - configured d/rules to properly run asyncio tests

 -- Yuri Konotopov <ykonotopov@gnome.org>  Thu, 17 Apr 2025 16:59:21 +0000

=== debian/watch ===
version=4
https://github.com/mosquito/caio/tags .*/v?(\d.*)@ARCHIVE_EXT@

## caio 0.9.24

=== debian/changelog ===
caio (0.9.24-1) unstable; urgency=medium

  * New upstream version 0.9.24:
    - Removed applied upstream d/patches/32bit.patch
    - Added patches to fix deprecation warnings:
        - d/patches/asyncio_loop_scope.patch
        - d/patches/pytest-asyncio-event-loop.patch
    - Added d/patches/conftest.patch to restore required file that missing
      from upstream sdist package.
    - Switched d/watch to pypi.debian.net because upstream didn't tagged
      release in vcs

 -- Yuri Konotopov <ykonotopov@gnome.org>  Sat, 12 Jul 2025 15:51:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
                dh-python,
                pybuild-plugin-pyproject,
                python3-all-dev,
+               python3-pytest,
+               python3-pytest-asyncio,
                python3-setuptools,
 Standards-Version: 4.7.2
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/mosquito/caio
 Rules-Requires-Root: no
 Vcs-Browser: https://gitlab.com/apt-mirror2/caio-debian-packaging
-Vcs-Git: https://gitlab.com/apt-mirror2/caio-debian-packaging.git
+Vcs-Git: https://gitlab.com/apt-mirror2/caio-debian-packaging.git [caio]
 
 Package: python3-caio
 Architecture: any

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/caio/caio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
